<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) ENPC - Jean-Philippe Chancelier
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="xpolys">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>xpolys</refname>
    <refpurpose> draw a set of polylines or polygons</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>xpolys(xpols,ypols,[draw])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>xpols,ypols</term>
        <listitem>
          <para>matrices of the same size (p,n) (points of the polylines).</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>draw</term>
        <listitem>
          <para>vector of size n.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>xpolys</literal> draws a set of polylinse using marks or dashed lines. 
    The coordinates of each polyline
    are stored in a column of <literal>xpols</literal> and <literal>ypols</literal>.
  </para>
    <para>
    The style of polyline i is given by <literal>draw(i)</literal>:
  </para>
    <itemizedlist>
      <listitem>
        <para>If <literal>draw(i)</literal> is negative, the mark with id <literal>-draw(i)</literal> is used to draw polyline i (marks are drawn using the current pattern). Use <literal>xset()</literal> to see the meaning of the ids.</para>
      </listitem>
      <listitem>
        <para>If <literal>draw(i)</literal> is strictly positive, the line style (or color) with id  <literal>draw(i)</literal> is used to draw polyline i. Use <literal>xset()</literal> to see the meaning of the ids.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
plot2d(0,0,-1,"012"," ",[0,0,1,1])
rand("uniform")
xset("color",3)
xpolys(rand(3,5),rand(3,5),[-1,-2,0,1,2])
xset("default")
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="xfpoly">xfpoly</link>
      </member>
      <member>
        <link linkend="xfpolys">xfpolys</link>
      </member>
      <member>
        <link linkend="xpoly">xpoly</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>J.Ph.C.  </para>
  </refsection>
</refentry>
